<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Christianity on MillironX</title>
    <link>http://localhost:1313/tags/christianity/</link>
    <description>Recent content in Christianity on MillironX</description>
    <generator>Hugo</generator>
    <language>en-us</language>
    <lastBuildDate>Fri, 01 Mar 2024 00:00:00 +0000</lastBuildDate>
    <atom:link href="http://localhost:1313/tags/christianity/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>On Baptist habits (or why Baptist churches feel like they&#39;re run by the Mafia)</title>
      <link>http://localhost:1313/posts/baptist-mafia/</link>
      <pubDate>Fri, 01 Mar 2024 00:00:00 +0000</pubDate>
      <guid>http://localhost:1313/posts/baptist-mafia/</guid>
      <description>&lt;!-- raw HTML omitted --&gt;&#xA;&lt;!-- raw HTML omitted --&gt;&#xA;&lt;p&gt;In the grand tapestry of American religiosity, there exists a peculiar breed of&#xA;Christian denomination that stands out for its unique blend of fervent devotion&#xA;and&amp;hellip;let&amp;rsquo;s be honest, a hint of authoritarianism. I&amp;rsquo;m, of course, referring to&#xA;Baptist churches. Yes, those churches that make you wonder if they&amp;rsquo;re being run&#xA;by the Mafia.&lt;/p&gt;&#xA;&lt;p&gt;Now, before I proceed, let me just clarify that this isn&amp;rsquo;t an attempt to&#xA;disparage the good people who worship in these esteemed institutions. No, no,&#xA;nothing like that. It&amp;rsquo;s merely a case of observational reporting, where I&amp;rsquo;m&#xA;poking around the fringes of Baptist culture to get a better understanding of&#xA;what makes them tick.&lt;/p&gt;</description>
    </item>
  </channel>
</rss>
